“pip install unroll”: “python setup.py egg_info” failed with error code 1

0 votes

I'm new to Python and have been trying to install some packages with pip.

But pip install unroll gives me

Command "python setup.py egg_info" failed with error code 1 in C:\Users\MARKAN~1\AppData\Local\Temp\pip-build-wa7uco0k\unroll\

How can I solve this?

Oct 5, 2018 in Python by ana1504.k
• 7,890 points
11,963 views

11 answers to this question.

0 votes

Your setuptools do not appear to be installed. Just follow the Installation Instructions from the PyPI website.

If it's already installed, try

pip install --upgrade setuptools

If it's already up to date, check that the module ez_setup is not missing. If it is, then

pip install ez_setup

Then try again

pip install unroll

If it's still not working, maybe pip didn't install/upgrade setup_tools properly so you might want to try

easy_install -U setuptools

And again

pip install unroll
answered Oct 5, 2018 by SDeb
• 13,210 points
ERROR: Command "python setup.py egg_info" failed with error code 1

How do I solve this error
Hey @Vineesh, did you try other solutions?
Yes, tried getting the same issue.
Can you post the error logs?
0 votes
pip install --upgrade setuptools

should solve the problem

answered Dec 7, 2018 by anonymous
0 votes
$ pip install pystan
$ python setup.py egg_info
answered Dec 7, 2018 by Sowmya
0 votes

You need to install supporting libraries:

sudo apt-get install libmysqlclient-dev
answered Dec 7, 2018 by Shashi
0 votes

Global install libraries:

apt install -y libmysqlclient-dev
answered Dec 7, 2018 by Vinayak
0 votes

I install mysql client and the issue was solved:

pip install mysqlclient​
answered Dec 7, 2018 by Azar
0 votes

Try this:

sudo apt-get install python3.6-dev libmysqlclient-dev
answered Dec 7, 2018 by anonymous
0 votes
sudo apt-cache search mysqlclient
sudo apt-get install default-libmysqlclient-dev
answered Dec 7, 2018 by Tofa
0 votes

Try upgrading pip and then run your command:

pip install --upgrade pip
answered Dec 7, 2018 by Ericka
0 votes

I faced the same problem and I solved it like this:

python3 -m pip install flask-mysqldb worked for me.
answered Dec 7, 2018 by Patal
0 votes
rm -rf node_modules
answered Jun 27 by anonymous
How will deleting the node modules help?

Related Questions In Python

0 votes
1 answer

Install pip in Python 3.4

Don't worry! Python already comes in default ...READ MORE

answered May 1, 2018 in Python by aayushi
• 750 points
97 views
0 votes
1 answer

How to install Python MySQLdb module using pip?

It's easy to do, but hard to ...READ MORE

answered Aug 20, 2018 in Python by charlie_brown
• 7,720 points
100 views
+1 vote
1 answer

How to use GUI that comes with Python to test your code?

Hey @alex0809, When your testing a website ...READ MORE

answered Sep 24, 2018 in Python by Vardhan
• 12,820 points
88 views
+1 vote
1 answer

Can installin pip for python install dependencies aswell?

As long as the dependency is listed ...READ MORE

answered Sep 26, 2018 in Python by Priyaj
• 56,960 points
63 views
0 votes
1 answer

Equivalent for easy_install & pip

For pip you can check the User ...READ MORE

answered Nov 28, 2018 in Python by SDeb
• 13,210 points
92 views
+1 vote
2 answers

how can i count the items in a list?

Syntax :            list. count(value) Code: colors = ['red', 'green', ...READ MORE

answered Jul 6 in Python by Neha
• 330 points

edited Jul 8 by Kalgi 394 views
0 votes
1 answer

Install .desktop file with setup.py

This looks like a good approach but ...READ MORE

answered Jun 27 in Python by SDeb
• 13,210 points
39 views
0 votes
1 answer

Python pygame error : Failed loading libpng.dylib: dlopen(libpng.dylib, 2): image not found

Try installing libpng You can do it with ...READ MORE

answered May 31 in Python by SDeb
• 13,210 points
84 views